Bug 60499 - Kernel panic during boot w/2.4.9-31smp
Kernel panic during boot w/2.4.9-31smp
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-02-28 12:13 EST by Larry Terrill
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-04 19:04:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Larry Terrill 2002-02-28 12:13:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20011126

Description of problem:
During boot with 2.4.9-31smp, error during root filesystem mount, 
Attempt to access beyond end of device
03:04: rw=0, want=2, limit=1
EXT3-fs: unable to read superblock
mount: error 22 mounting ext3
Kernel panic: No init found. failed:2

Re-booting with UP 2.4.9-31 results in no error. Re-booting with 2.4.9-21SMP
results in no error.
MSI MS-6321 (694d-Pro1), VIA-based w/dual processors,
non-Raid AT-100, UDMA5 EIDE hard drive using on-board controller 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Reboot w/2.4.9-31SMP

Additional info:
Comment 1 Tomi Lind 2002-03-04 06:23:03 EST
Additional info from _clean_ system.
1st System)
HW Compaq DL380-2x800Mhz+SMART Array 431 with two logical arrays (+Integrated 
Smart Array controller /wo disks) 
SW: RH 7.2 Pro
Errata kernel 2.4.7-13 update (and SMP) fine and boots ok. As does orig kernel
Errata kernel 2.4.9-21 update (and SMP) this bug appears, anyhow old kernel 
boots fine
Errata kernel 2.4.9-31 update (and SMP) this bug still here, anyhow 2.4.7-xx 
kernels boot fine
grup.conf has similiar config lines for all kernels. /initrd folder exist but 
remains empty (rpm -hiv kernel-2.4.9-xx.i686.rpm creates initrd-2.4.9-xx.img 
files into /boot)
2nd System) 
Compaq DL360 /w Integrated Smart Array (so this system has only one RAID 
controller, no SMP)
SW: RH 7.2 Pro
Kernel update from orig. kernel with rpm -hFv kernel-2.4.9-21.i686.rpm goes 
fine and system still boots.
Both systems have other (required) errata .rpm's installed. 
Comment 2 Tomi Lind 2002-03-04 06:32:40 EST
addition to my previous comment:
Our systems find ext3 and cpqarray modules and loads them ok.
error line is: 
mount: error 6 mounting ext3
Comment 3 Stephen Tweedie 2002-03-04 19:04:20 EST

Your log indicates that ext3 is looking for a superblock on /dev/hda4 and
failing to find a valid device there.  Is that really the correct root
filesystem?  Are you using lilo or grub, and what does your lilo.conf or
grub.conf look like?


What does your grub.conf look like?

Error 6 is ENXIO, no such device or address: what device is your root filesystem
supposed to be on?
Comment 4 Larry Terrill 2002-03-04 20:28:19 EST
Sorry! I will close this as a BNE (Bone-head User Error). Your question prompted
me to revist my lilo.conf for the 11th time. Somehow (suspects are still being
questioned), the 2.4.9-31smp lilo entry was pointing to hda4 while the other 5
entries were pointing to the true location of the root volume hda5. Sorry to
have troubled you.
Comment 5 Tomi Lind 2002-03-25 14:32:30 EST
oops.. error that I have is not exactly the same, but behavior is very similar 
and _still_ annoying. As told, system is RH72Pro with erratas. 

2.4.9-13smp is last which boot ok.

Here my /boot/grub/grub.conf

# grub.conf generated by anaconda
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/ida/c0d0p2
#          initrd /initrd-version.img
title Red Hat Linux (2.4.9-31smp)
        root (hd0,0)
        kernel /vmlinuz-2.4.9-31smp ro root=/dev/ida/c0d0p2
        initrd /initrd-2.4.9-31smp.img
title Red Hat Linux (2.4.9-31)
        root (hd0,0)
        kernel /vmlinuz-2.4.9-31 ro root=/dev/ida/c0d0p2
        initrd /initrd-2.4.9-31.img
title Red Hat Linux (2.4.9-21smp)
        root (hd0,0)
        kernel /vmlinuz-2.4.9-21smp ro root=/dev/ida/c0d0p2
        initrd /initrd-2.4.9-21smp.img
title Red Hat Linux (2.4.9-21)
        root (hd0,0)
        kernel /vmlinuz-2.4.9-21 ro root=/dev/ida/c0d0p2
        initrd /initrd-2.4.9-21.img
title Red Hat Linux (2.4.9-13smp)
        root (hd0,0)
        kernel /vmlinuz-2.4.9-13smp ro root=/dev/ida/c0d0p2
        initrd /initrd-2.4.9-13smp.img
title Red Hat Linux (2.4.9-13)
        root (hd0,0)
        kernel /vmlinuz-2.4.9-13 ro root=/dev/ida/c0d0p2
        initrd /initrd-2.4.9-13.img
title Red Hat Linux (2.4.7-10smp)
        root (hd0,0)
        kernel /vmlinuz-2.4.7-10smp ro root=/dev/ida/c0d0p2
        initrd /initrd-2.4.7-10smp.img
title Red Hat Linux-up (2.4.7-10)
        root (hd0,0)
        kernel /vmlinuz-2.4.7-10 ro root=/dev/ida/c0d0p2
        initrd /initrd-2.4.7-10.img
Comment 6 Tomi Lind 2002-03-25 14:40:15 EST
bug #55743 has same error than my system
Comment 7 Stephen Tweedie 2002-03-25 17:55:09 EST
tomi: Please attach the console output prior to the error.  That should help
clarify just where it's going wrong.

Note You need to log in before you can comment on or make changes to this bug.